#version 140

uniform mat4 projection;
uniform mat4 modelView;

in vec3 position;
out vec2 ex_TexCoord;
out vec3 out_normal;
//in vec3 normal; // load as texture

void main()
{
    vec4 eyeCoordPos = modelView * position;

    position = eyeCoordPos.xyz / eyeCoordPos.w;
    //out_normal = normalize(gl_NormalMatrix * gl_Normal);

    gl_Position = projection * modelView * position;
    ex_TexCoord = vec2(0.5) * position.xy + vec2(0.5); // normalize to move to center
}