#version 140

uniform mat4 projectionMatrix;
uniform mat4 viewMatrix;

in vec3 Position;
in vec3 Texcoord;

out vec3 ex_TexCoord;
  
void main()
{
	ex_TexCoord = Texcoord;
	gl_Position = projectionMatrix * viewMatrix * vec4(Position, 1.0);
}
