#version 140

//uniform sampler2D heightData;
uniform sampler2DArray heightData;

// The projection and model-view matrix to transform the vertices.
uniform mat4 projectionMatrix;
uniform mat4 viewMatrix;

in vec3 Position;
in vec2 TexCoord;
out vec2 ex_TexCoord;
  
void main()
{
	//ex_TexCoord = Position.xz;
	ex_TexCoord = TexCoord;
	
	vec3 tmpPos = vec3(Position.xyz);
	tmpPos.xz *= vec2(20.0);
	//tmpPos.y = texture(heightData, ex_TexCoord).y * 3.0;
	tmpPos.y = texture(heightData, vec3(ex_TexCoord,0.0)).y * 2.0;

	gl_Position = projectionMatrix * viewMatrix * vec4(tmpPos, 1.0);
}
