#version 140

//uniform sampler2DArray tex_Source;
uniform sampler2D tex_Source;
uniform sampler2D normalMap;
//uniform float level;



in vec2 ex_TexCoord;

in vec3 ex_v;
in vec3 light_v;

out vec4 ex_Color;

void main()
{
//	vec3 tex_coord = vec3(ex_TexCoord.x, ex_TexCoord.y, level);
//	ex_Color = texture2D(tex_Source, ex_TexCoord);
  vec3 normal = normalize(texture2D(normalMap, ex_TexCoord).xyz);
  vec3 Eye = normalize(-ex_v);
  vec3 Reflected = normalize( reflect( -light_v, normal )); 
 //hat den selben effekt wie
 //vec3 Reflected       = normalize( 2.0 * dot(normal, lightvec) *  normal - lightvec);
 
 vec4 IAmbient        = vec4(0.0, 0.0,0.0,1.0);
 vec4 IDiffuse        = vec4(0.0, 0.3,0.0,1.0) * max(dot(normal, light_v), 0.0);
 vec4 ISpecular       = vec4(0.0, 0.0,0.2,1.0) * pow(max(dot(Reflected, Eye), 0.0), 50.0);
	//ex_Color = texture2D(normalMap, ex_TexCoord);
 ex_Color = texture2D(tex_Source, ex_TexCoord) + IAmbient + IDiffuse + ISpecular;
}
